23

I have some experience using LaTeX with Miktex on windows, but am only taking baby steps in learning how to do it on Ubuntu. I am using Kile as IDE for making beamer presentations. The pdf file is nicely generated after the compilation, however, I get the following error message:

./file.tex:0: Not defining \perthousnad 
./file.tex:0: Not defining \micro

I don't know what is going with Kile during compilation of beamer document classe! Could anyone suggest me any thing that may help!! thank you.

  • Hi! It seems like that Kile is "too clever". While I don't like such dirty tricks, you may see if adding \let\micro\micro and \let\perthousand\perthousand into the document preamble cheats Kile into thinking that they are defined. Btw, I suppose that snad in \perthousnad is a typo... – yo' Mar 12 '14 at 13:52
  • @tohecz Thank you! but putting these two line in the preamble did not change anything? – Math Student Mar 12 '14 at 14:50
  • @Strömungsmechanik, no it doesn't change anything. \let\bar\foo just makes \bar a clone of the macrodefinition of \foo. In this case both are the same, so it's about the same as going to IKEA, take the chair you bought yesterday and change it with the exact same model, which is made with the same definition/design. It's not the same chair, but it does exactly the same as the original, and it has the same name ;). – hugovdberg Mar 12 '14 at 18:40
  • @hugovdberg so what do you suggest as a solution of this mysterious problem? – Math Student Mar 13 '14 at 11:20
  • @Strömungsmechanik Hmm, I'm sorry, I misread your question. I don't use Kile, so I'm afraid I can't help you on this one. – hugovdberg Mar 13 '14 at 11:29
27

They are not errors, but warnings from the gensymb package, and if you look in the .log file I think you'll find

Package gensymb Warning: Not defining \perthousand.

Package gensymb Warning: Not defining \micro.

So it has nothing to with either beamer or Kile. If you don't use those two symbols, don't worry about it. If you want to get rid of those warnings anyway, you can load the textcomp package before gensymb. (Reference: http://www.latex-community.org/forum/viewtopic.php?f=4&t=3364#p13124)

  • @{Torbjørn T.} how did you guess about gensymb, in the absence of a min.ex? – wasteofspace Mar 17 '14 at 21:51
  • @wasteofspace I searched around a bit for the words in the warnings, and eventually found something about gensymb, can't remember exactly what. Looked in the documented source, and found those exact words. Then I searched some more, and found that thread from LaTeX Community. – Torbjørn T. Mar 17 '14 at 21:59
3

This error is generated by the textcomp packaged imported by gensymb. You can prevent it by explicitly importing textcomp before gensymb:

\usepackage{textcomp}
\usepackage{gensymb}

...

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.